<?php
$tdataloa_types = array();
$tdataloa_types[".searchableFields"] = array();
$tdataloa_types[".ShortName"] = "loa_types";
$tdataloa_types[".OwnerID"] = "";
$tdataloa_types[".OriginalTable"] = "loa_types";


$tdataloa_types[".pagesByType"] = my_json_decode( "{}" );
$tdataloa_types[".originalPagesByType"] = $tdataloa_types[".pagesByType"];
$tdataloa_types[".pages"] = types2pages( my_json_decode( "{}" ) );
$tdataloa_types[".originalPages"] = $tdataloa_types[".pages"];
$tdataloa_types[".defaultPages"] = my_json_decode( "{}" );
$tdataloa_types[".originalDefaultPages"] = $tdataloa_types[".defaultPages"];

//	field labels
$fieldLabelsloa_types = array();
$fieldToolTipsloa_types = array();
$pageTitlesloa_types = array();
$placeHoldersloa_types = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsloa_types["English"] = array();
	$fieldToolTipsloa_types["English"] = array();
	$placeHoldersloa_types["English"] = array();
	$pageTitlesloa_types["English"] = array();
	$fieldLabelsloa_types["English"]["id"] = "Id";
	$fieldToolTipsloa_types["English"]["id"] = "";
	$placeHoldersloa_types["English"]["id"] = "";
	$fieldLabelsloa_types["English"]["loan_name"] = "Loan Name";
	$fieldToolTipsloa_types["English"]["loan_name"] = "";
	$placeHoldersloa_types["English"]["loan_name"] = "";
	if (count($fieldToolTipsloa_types["English"]))
		$tdataloa_types[".isUseToolTips"] = true;
}


	$tdataloa_types[".NCSearch"] = true;



$tdataloa_types[".shortTableName"] = "loa_types";
$tdataloa_types[".nSecOptions"] = 0;

$tdataloa_types[".mainTableOwnerID"] = "";
$tdataloa_types[".entityType"] = 0;
$tdataloa_types[".connId"] = "test2_at_localhost";


$tdataloa_types[".strOriginalTableName"] = "loa_types";

	



$tdataloa_types[".showAddInPopup"] = false;

$tdataloa_types[".showEditInPopup"] = false;

$tdataloa_types[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataloa_types[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataloa_types[".listAjax"] = false;
//	temporary
$tdataloa_types[".listAjax"] = false;

	$tdataloa_types[".audit"] = true;

	$tdataloa_types[".locking"] = false;


$pages = $tdataloa_types[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataloa_types[".edit"] = true;
	$tdataloa_types[".afterEditAction"] = 1;
	$tdataloa_types[".closePopupAfterEdit"] = 1;
	$tdataloa_types[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataloa_types[".add"] = true;
$tdataloa_types[".afterAddAction"] = 1;
$tdataloa_types[".closePopupAfterAdd"] = 1;
$tdataloa_types[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataloa_types[".list"] = true;
}



$tdataloa_types[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataloa_types[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataloa_types[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataloa_types[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataloa_types[".printFriendly"] = true;
}



$tdataloa_types[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataloa_types[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataloa_types[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataloa_types[".isUseAjaxSuggest"] = true;

$tdataloa_types[".rowHighlite"] = true;



																																																			

$tdataloa_types[".ajaxCodeSnippetAdded"] = false;

$tdataloa_types[".buttonsAdded"] = false;

$tdataloa_types[".addPageEvents"] = false;

// use timepicker for search panel
$tdataloa_types[".isUseTimeForSearch"] = false;


$tdataloa_types[".badgeColor"] = "008B8B";


$tdataloa_types[".allSearchFields"] = array();
$tdataloa_types[".filterFields"] = array();
$tdataloa_types[".requiredSearchFields"] = array();

$tdataloa_types[".googleLikeFields"] = array();
$tdataloa_types[".googleLikeFields"][] = "id";
$tdataloa_types[".googleLikeFields"][] = "loan_name";



$tdataloa_types[".tableType"] = "list";

$tdataloa_types[".printerPageOrientation"] = 0;
$tdataloa_types[".nPrinterPageScale"] = 100;

$tdataloa_types[".nPrinterSplitRecords"] = 40;

$tdataloa_types[".geocodingEnabled"] = false;










$tdataloa_types[".pageSize"] = 20;

$tdataloa_types[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataloa_types[".strOrderBy"] = $tstrOrderBy;

$tdataloa_types[".orderindexes"] = array();


$tdataloa_types[".sqlHead"] = "SELECT id,  	loan_name";
$tdataloa_types[".sqlFrom"] = "FROM loa_types";
$tdataloa_types[".sqlWhereExpr"] = "";
$tdataloa_types[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataloa_types[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataloa_types[".arrGroupsPerPage"] = $arrGPP;

$tdataloa_types[".highlightSearchResults"] = true;

$tableKeysloa_types = array();
$tableKeysloa_types[] = "id";
$tdataloa_types[".Keys"] = $tableKeysloa_types;


$tdataloa_types[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "loa_types";
	$fdata["Label"] = GetFieldLabel("loa_types","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloa_types["id"] = $fdata;
		$tdataloa_types[".searchableFields"][] = "id";
//	loan_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "loan_name";
	$fdata["GoodName"] = "loan_name";
	$fdata["ownerTable"] = "loa_types";
	$fdata["Label"] = GetFieldLabel("loa_types","loan_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "loan_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "loan_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataloa_types["loan_name"] = $fdata;
		$tdataloa_types[".searchableFields"][] = "loan_name";


$tables_data["loa_types"]=&$tdataloa_types;
$field_labels["loa_types"] = &$fieldLabelsloa_types;
$fieldToolTips["loa_types"] = &$fieldToolTipsloa_types;
$placeHolders["loa_types"] = &$placeHoldersloa_types;
$page_titles["loa_types"] = &$pageTitlesloa_types;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["loa_types"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["loa_types"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_loa_types()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	loan_name";
$proto0["m_strFrom"] = "FROM loa_types";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "loa_types",
	"m_srcTableName" => "loa_types"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "loa_types";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "loan_name",
	"m_strTable" => "loa_types",
	"m_srcTableName" => "loa_types"
));

$proto8["m_sql"] = "loan_name";
$proto8["m_srcTableName"] = "loa_types";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "loa_types";
$proto11["m_srcTableName"] = "loa_types";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "loan_name";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "loa_types";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "loa_types";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="loa_types";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_loa_types = createSqlQuery_loa_types();


	
		;

		

$tdataloa_types[".sqlquery"] = $queryData_loa_types;



$tableEvents["loa_types"] = new eventsBase;
$tdataloa_types[".hasEvents"] = false;

?>